diff -ruN vdr-1.7.22/CONTRIBUTORS vdr-1.7.23/CONTRIBUTORS
--- vdr-1.7.22/CONTRIBUTORS	2011-12-04 15:53:41.000000000 +0100
+++ vdr-1.7.23/CONTRIBUTORS	2012-01-15 15:23:20.000000000 +0100
@@ -271,6 +271,7 @@
  for his help in keeping 'channels.conf.cable' and 'channels.conf.terr' up to date
  for helping to test new DVB-T handling
  for reporting a bug in switching the video format in the Setup/DVB menu
+ for reporting a problem with frozen live view in conjunction with device bonding
 
 Matjaz Thaler <matjaz.thaler@guest.arnes.si>
  for improving AC3 decoding when replaying DVDs
@@ -1120,6 +1121,10 @@
  for fixing handling DVB subtitles and implementing decoding textual DVB subtitles
  for adding file name and line number to LOG_ERROR_STR()
  for replacing all calls to sleep() with cCondWait::SleepMs()
+ for fixing cDvbSubtitleConverter::SetOsdData()
+ for adding support for DVB-T2 to libsi
+ for adding support for handling DVB-T2 transponders
+ for suggesting to add member functions Adapter() and Frontend() to cDvbDevice
 
 Ralf Klueber <ralf.klueber@vodafone.com>
  for reporting a bug in cutting a recording if there is only a single editing mark
@@ -1927,8 +1932,13 @@
  for fixing a crash when deleting a recording while cutting it
  for fixing several spelling errors
  for adding generating a pkg-config file to the Makefile
- for removing the '.pl' suffix from all scripts (thanks to Ville Skyttä).
+ for removing the '.pl' suffix from all scripts
  for changing the default location for the LIRC socket to /var/run/lirc/lircd
+ for pointing out that the argument sequence in the memset() call in the ctor of
+ cSatCableNumbers was wrong
+ for removing a redundant NULL check in cDvbSpuDecoder::setTime()
+ for pointing out that the variable HasSnr was unused in cDvbTuner::GetSignalQuality()
+ for fixing cConfig::Load() for g++ version 4.7.0
 
 Steffen Beyer <cpunk@reactor.de>
  for fixing setting the colored button help after deleting a recording in case the next
@@ -2256,6 +2266,7 @@
  for suggesting to implement a function to determine the length of a recording's
  index file
  for fixing setting the start time of an edited recording
+ for adding support for HbbTV to libsi
 
 Pekka Mauno <pekka.mauno@iki.fi>
  for fixing cSchedule::GetFollowingEvent() in case there is currently no present
@@ -2483,6 +2494,8 @@
  for implementing sending all frames to devices that can handle them in fast forward
  trick speeds
  for implementing the setup option "Recording/Pause key handling"
+ for fixing the SVDRP command CLRE for a single channel in case there are events
+ that have a timer
 
 Elias Luttinen <el@iki.fi>
  for improving the description of where logging goes in the INSTALL file
@@ -2544,6 +2557,10 @@
  for reporting a missing reset of maxNumber in cChannels::Renumber()
  for reporting some missing 'const' in tChannelID
  for suggesting to add optional case insensitive sorting to cStringList::Sort()
+ for reporting a bug in handling symbolic links in cRecordings::ScanVideoDir()
+ for reporting a memory leak in cRecordings::ScanVideoDir() in case there are too
+ many link levels
+ for reporting a bug in cListBase::Move() in case From and To are equal
 
 Ales Jurik <ajurik@quick.cz>
  for reporting broken SI data on Czech/Slovak channels after changing the default
@@ -2732,8 +2749,9 @@
 Milan Cvijanovic <elcom_cvijo@hotmail.com>
  for translating OSD texts to the Serbian language
 
-Frank Neumann <frank.neumann@hp.com>
+Frank Neumann <fnu@yavdr.org>
  for suggesting to reduce the thread and I/O priority cCuttingThread::Action()
+ for reporting a problem with tuning timeouts when using SCR with multiple tuners
 
 Gerald Dachs <vdr@dachsweb.de>
  for reporting a problem with checking for minimum line length of 21 characters in
@@ -2792,3 +2810,9 @@
 Dominic Evans <oldmanuk@gmail.com>
  for making the SVDRP command LSTC accepts channel IDs
  for adding cap_net_raw to the capabilities that are not dropped
+
+Torsten Lang <info@torstenlang.de>
+ for reporting a problem with newline characters in stream component descriptions
+ of EPG data from BSkyB's "MTV MUSIC"
+ for suggesting to make BIDI support check at runtime whether the system runs with
+ UTF-8
diff -ruN vdr-1.7.22/HISTORY vdr-1.7.23/HISTORY
--- vdr-1.7.22/HISTORY	2011-12-04 16:09:45.000000000 +0100
+++ vdr-1.7.23/HISTORY	2012-01-15 15:26:54.000000000 +0100
@@ -6780,3 +6780,58 @@
 - Added file name and line number to LOG_ERROR_STR() (thanks to Rolf Ahrenberg).
 - Replaced all calls to sleep() with cCondWait::SleepMs() (thanks to Rolf Ahrenberg).
 - Fixed a crash with malformed SI data (patch from vdr-portal).
+
+2012-01-15: Version 1.7.23
+
+- Removed the '.pl' suffix from svdrpsend.pl (sorry, I missed that one).
+- Fixed bonding more than two devices.
+- Fixed handling symbolic links in cRecordings::ScanVideoDir() (reported by
+  Sundararaj Reel).
+- Fixed a memory leak in cRecordings::ScanVideoDir() in case there are too many
+  link levels (reported by Sundararaj Reel).
+- Removed redundant memset() in the ctor of cSatCableNumbers (triggered by
+  Ville Skyttä pointing out that the argument sequence in the call was wrong).
+- Removed a redundant NULL check in cDvbSpuDecoder::setTime() (thanks to Ville Skyttä).
+- Added HasSnr to the DEBUG_SIGNALQUALITY output in cDvbTuner::GetSignalQuality()
+  (triggered by Ville Skyttä pointing out that the variable HasSnr was unused).
+- Updated the Finnish OSD texts (thanks to Rolf Ahrenberg).
+- Added support for HbbTV to libsi (thanks to Christoph Haubrich).
+- Added support for devices with more than one delivery system per frontend.
+  This requires a DVB driver with version 5.5 or higher that can handle the
+  DTV_ENUM_DELSYS call. With older drivers it will fall back to one delivery
+  system per frontend.
+- Updated the Hungarian language texts (thanks to István Füley).
+- cDvbTuner::ExecuteDiseqc() now makes sure only one tuner sends SCR commands
+  at any given time (reported by Frank Neumann).
+- cEvent::FixEpgBugs() now replaces any newline characters in stream component
+  descriptions with blanks (thanks to Torsten Lang for reporting a problem with
+  EPG data from BSkyB's "MTV MUSIC", S28.2E-2-2010-7012).
+- Fixed cDvbSubtitleConverter::SetOsdData() (thanks to Rolf Ahrenberg).
+- Fixed cListBase::Move() in case From and To are equal (reported by Sundararaj
+  Reel).
+- Added support for DVB-T2 to libsi (thanks to Rolf Ahrenberg).
+- Added support for handling DVB-T2 transponders.  This requires a DVB driver
+  with version 5.3 or higher that can handle the DTV_DVBT2_PLP_ID call (thanks
+  to Rolf Ahrenberg).
+- Fixed cConfig::Load() for g++ version 4.7.0 (thanks to Ville Skyttä).
+- Fixed a possible memory corruption in cTsToPes::GetPes() in case of broken
+  TS packets, e.g. when switching channels.
+- Fixed the SVDRP command CLRE for a single channel in case there are events
+  that have a timer (thanks to Timo Eskola).
+- BIDI support now checks at runtime whether the system runs with UTF-8 (suggested
+  by Torsten Lang).
+- Added member functions Adapter() and Frontend() to cDvbDevice (suggested by
+  Rolf Ahrenberg).
+- The parameters that are only used by "second generation" delivery systems (DVB-S2
+  and DVB-T2) are no longer written into channels.conf for "first generation"
+  delivery systems (DVB-S and DVB-T).
+- Changed IndexToHMSF() so that it can handle negative Index values.
+- Added option -N to the msgmerge call in the Makefile, because fuzzy translation
+  mostly resulted in useless strings.
+- The new setup option "Replay/Show remaining time" can be used to switch between
+  showing the total length or the remaining time of the recording that is currently
+  replayed.
+- Fixed wrongfully displaying the length of a recording in the title of the replay
+  progress display.
+- Fixed frozen live view with device bonding in case the bonded master is used for
+  live viewing (reported by Uwe Scheffler).
diff -ruN vdr-1.7.22/MANUAL vdr-1.7.23/MANUAL
--- vdr-1.7.22/MANUAL	2011-12-03 16:31:50.000000000 +0100
+++ vdr-1.7.23/MANUAL	2012-01-14 14:03:21.000000000 +0100
@@ -856,6 +856,10 @@
 
   Show replay mode = no  Turns displaying the current replay mode on or off.
 
+  Show remaining time = no
+                         Defines whether the replay progress display shows the
+                         remaining time or the total length of the recording.
+
   Resume ID = 0          Defines an additional ID that can be used in a multi user
                          environment, so that every user has his/her own resume
                          files for each recording. The valid range is 0...99, with
diff -ruN vdr-1.7.22/Makefile vdr-1.7.23/Makefile
--- vdr-1.7.22/Makefile	2011-12-04 15:41:00.000000000 +0100
+++ vdr-1.7.23/Makefile	2012-01-14 14:09:10.000000000 +0100
@@ -4,7 +4,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile 2.22 2011/12/04 14:41:00 kls Exp $
+# $Id: Makefile 2.23 2012/01/14 13:09:10 kls Exp $
 
 .DELETE_ON_ERROR:
 
@@ -139,7 +139,7 @@
 	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=VDR --package-version=$(VDRVERSION) --msgid-bugs-address='<vdr-bugs@tvdr.de>' -o $@ `ls $^`
 
 %.po: $(I18Npot)
-	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
+	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
 	@touch $@
 
 $(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr.mo: $(PODIR)/%.mo
diff -ruN vdr-1.7.22/PLUGINS/src/pictures/HISTORY vdr-1.7.23/PLUGINS/src/pictures/HISTORY
--- vdr-1.7.22/PLUGINS/src/pictures/HISTORY	2011-11-02 21:58:22.000000000 +0100
+++ vdr-1.7.23/PLUGINS/src/pictures/HISTORY	2012-01-08 14:29:01.000000000 +0100
@@ -59,3 +59,7 @@
 2011-11-02:
 
 - Fixed handling images that are rotated by 180 degrees in pic2mpg.
+
+2012-01-08:
+
+- Added option -o to pic2mpg.
diff -ruN vdr-1.7.22/PLUGINS/src/pictures/pic2mpg vdr-1.7.23/PLUGINS/src/pictures/pic2mpg
--- vdr-1.7.22/PLUGINS/src/pictures/pic2mpg	2011-11-02 18:20:37.000000000 +0100
+++ vdr-1.7.23/PLUGINS/src/pictures/pic2mpg	2012-01-08 14:27:17.000000000 +0100
@@ -7,7 +7,7 @@
 #
 # See the README file for copyright information and how to reach the author.
 #
-# $Id: pic2mpg 2.3 2011/11/02 17:20:37 kls Exp $
+# $Id: pic2mpg 2.4 2012/01/08 13:27:17 kls Exp $
 
 use File::Path;
 use File::Spec;
@@ -20,15 +20,17 @@
 
 Options: -f             Force conversion
          -h             print Help
+         -o percent     overscan in percent
          -s size        Screen size (WIDTHxHEIGHT, default is 1920x1080)
          -v num         Verbose (0=none, 1=list files, 2=detailed)
 };
 
-getopts("fhs:v:") || die $Usage;
+getopts("fho:s:v:") || die $Usage;
 
 die $Usage if $opt_h;
 
 $Force     = $opt_f;
+$Overscan  = $opt_o || 0;
 $Size      = $opt_s || "1920x1080";
 $Verbose   = $opt_v;
 
@@ -54,6 +56,15 @@
 die "$0: file or directory not found: $ARGV[0]\n" unless -e $ARGV[0];
 die "$0: source and destination must be different\n" if $ARGV[0] eq $ARGV[1];
 
+$Extent = $Size;
+if ($Overscan > 0) {
+   my ($x, $y) = $Size =~ /(.*)x(.*)/;
+   my $r = (100 + $Overscan) / 100;
+   $x = int($x * $r + 0.5);
+   $y = int($y * $r + 0.5);
+   $Extent = "${x}x$y";
+   }
+
 # Convert a single file:
 
 if (-f $ARGV[0]) {
@@ -130,7 +141,7 @@
   $Pict = EscapeMeta($Pict);
   $Mpeg = EscapeMeta($Mpeg);
   print "$Pict -> $Mpeg $Rotate\n" if $ListFiles;
-  my $Cmd = "convert $Pict -background '#000000' $Rotate -resize $Size -gravity center -extent $Size ppm:- | "
+  my $Cmd = "convert $Pict -background '#000000' $Rotate -resize $Size -gravity center -extent $Extent ppm:- | "
           . "ffmpeg -f image2pipe -vcodec ppm -i pipe:0 -an -vcodec libx264 -vpre baseline -s $Size -qscale 2 -f mpegts -y $Mpeg "
           . ($Detailed ? "" : "2>/dev/null");
   !system($Cmd) || die "$Cmd: $!\n";
diff -ruN vdr-1.7.22/config.c vdr-1.7.23/config.c
--- vdr-1.7.22/config.c	2011-12-03 16:21:30.000000000 +0100
+++ vdr-1.7.23/config.c	2012-01-14 14:04:59.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.c 2.16 2011/12/03 15:21:30 kls Exp $
+ * $Id: config.c 2.18 2012/01/14 13:04:59 kls Exp $
  */
 
 #include "config.h"
@@ -69,7 +69,6 @@
 {
   size = Size;
   array = MALLOC(int, size);
-  memset(array, size * sizeof(int), 0);
   FromString(s);
 }
 
@@ -454,6 +453,7 @@
   NextWakeupTime = 0;
   MultiSpeedMode = 0;
   ShowReplayMode = 0;
+  ShowRemainingTime = 0;
   ResumeID = 0;
   CurrentChannel = -1;
   CurrentVolume = MAXVOLUME;
@@ -648,6 +648,7 @@
   else if (!strcasecmp(Name, "NextWakeupTime"))      NextWakeupTime     = atoi(Value);
   else if (!strcasecmp(Name, "MultiSpeedMode"))      MultiSpeedMode     = atoi(Value);
   else if (!strcasecmp(Name, "ShowReplayMode"))      ShowReplayMode     = atoi(Value);
+  else if (!strcasecmp(Name, "ShowRemainingTime"))   ShowRemainingTime  = atoi(Value);
   else if (!strcasecmp(Name, "ResumeID"))            ResumeID           = atoi(Value);
   else if (!strcasecmp(Name, "CurrentChannel"))      CurrentChannel     = atoi(Value);
   else if (!strcasecmp(Name, "CurrentVolume"))       CurrentVolume      = atoi(Value);
@@ -745,6 +746,7 @@
   Store("NextWakeupTime",     NextWakeupTime);
   Store("MultiSpeedMode",     MultiSpeedMode);
   Store("ShowReplayMode",     ShowReplayMode);
+  Store("ShowRemainingTime",  ShowRemainingTime);
   Store("ResumeID",           ResumeID);
   Store("CurrentChannel",     CurrentChannel);
   Store("CurrentVolume",      CurrentVolume);
diff -ruN vdr-1.7.22/config.h vdr-1.7.23/config.h
--- vdr-1.7.22/config.h	2011-12-03 15:19:52.000000000 +0100
+++ vdr-1.7.23/config.h	2012-01-14 14:03:53.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 2.36 2011/12/03 14:19:52 kls Exp $
+ * $Id: config.h 2.39 2012/01/14 13:03:53 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -22,13 +22,13 @@
 
 // VDR's own version number:
 
-#define VDRVERSION  "1.7.22"
-#define VDRVERSNUM   10722  // Version * 10000 + Major * 100 + Minor
+#define VDRVERSION  "1.7.23"
+#define VDRVERSNUM   10723  // Version * 10000 + Major * 100 + Minor
 
 // The plugin API's version number:
 
-#define APIVERSION  "1.7.22"
-#define APIVERSNUM   10722  // Version * 10000 + Major * 100 + Minor
+#define APIVERSION  "1.7.23"
+#define APIVERSNUM   10723  // Version * 10000 + Major * 100 + Minor
 
 // When loading plugins, VDR searches them by their APIVERSION, which
 // may be smaller than VDRVERSION in case there have been no changes to
@@ -122,7 +122,7 @@
                 if (!isempty(s)) {
                    T *l = new T;
                    if (l->Parse(s))
-                      Add(l);
+                      this->Add(l);
                    else {
                       esyslog("ERROR: error in %s, line %d", fileName, line);
                       delete l;
@@ -302,6 +302,7 @@
   time_t NextWakeupTime;
   int MultiSpeedMode;
   int ShowReplayMode;
+  int ShowRemainingTime;
   int ResumeID;
   int CurrentChannel;
   int CurrentVolume;
